Summary: shared library for C like extension language
Name: slang
Version: 0.99.37
Release: 2
Copyright: GPL
Group: Libraries
Source: ftp://space.mit.edu/pub/davis/slang/slang0.99-37.tar.gz
Patch0: slang0.99-37-raw.patch
Patch1: slang-cleanchars.patch

%description
Slang (pronounced ``sssslang'') is a powerful stack based interpreter
that supports a C-like syntax.  It has been designed from the beginning
to be easily embedded into a program to make it extensible. Slang also
provides a way to quickly develop and debug the application embedding it
in a safe and efficient manner.  Since slang resembles C, it is easy to
recode slang procedures in C if the need arises.

%package devel
Summary: static library and header files for slang C like language
Group: Development/Libraries

%description devel
This package contains the slang static libraries and header files
required to develop slang-based applications.  It also includes 
documentation to help you write slang-based apps.

%prep
%setup -n slang
%patch1 -p1
%patch0 -p1

%build
CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr --includedir=/usr/include/slang
make elf
make

cd doc
cc -o texconv texconv.c
./texconv -quiet cslang.tex cslang.txt
./texconv -quiet slang.tex slang.txt

%install
rm -rf /usr/include/slang
make install-elf
make install
/sbin/ldconfig

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
/usr/lib/libslang.so.0.99.37

%files devel
%doc doc/slang.tex doc/slang.txt doc/cslang.tex doc/cslang.txt doc/faq.txt doc/intrins.txt doc/object.txt doc/slang.how
/usr/lib/libslang.a
/usr/lib/libslang.so
/usr/include/slang
